# python-bb10

This is a Python library based on [node-bb10](https://github.com/Endare/node-bb10) that allows you to send push notifications to a BlackBerry 10 application.

## Prerequisites

* The provider application ID and the PPG URL that you receive in the confirmation email from BlackBerry when you [register to evaluate the Push Service](https://www.blackberry.com/profile/?eventId=8121).

## Installation

```
pip install git+https://github.com/dielsonsales/python-bb10
```

## Usage

```python
from push_bb10 import PushMessage
from push_bb10 import PushInitiator
import time

push_id = 'pushID1223344' + str(round(time.time() * 1000)) # must be unique
message = "Testing the library" # The push message to be sent

push_message = PushMessage(push_id, message)
push_message.add_recipient('99999999') # the device PIM
push_initiator = PushInitiator(application_id, password, CPID, True)

reply = push_initiatior.push(push_message)
print('Reply: ' + reply)
```
